package com.coob.aframe.base;

import com.coob.zhfg.system.domain.User;
import lombok.Data;

import java.io.Serializable;

/**
 * 登录用户信息
 * @author Administrator
 *
 */
@Data
public class LoginUser implements Serializable {
	private static final long serialVersionUID = 1L;

	private Integer code;
	private String msg;

	//用户基本信息
	private Integer userType;		//用户类别  0普通用户  1管理严
	private Integer userId;			//用户id
	private String account;
	private String userName;		//姓名

	//主管部门信息
	private Integer departId;		//所在部门id
	private String departName;		//所在部门名称

	public void setUserInfo(User user){
		this.code = 0;
		this.userType = user.getGlybs();
		this.userId = user.getId();
		this.account = user.getDlzh();
		this.userName = user.getXm();
	}



}
