package com.coob.aframe.tag;

import javax.servlet.http.HttpSession;
import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.PageContext;
import javax.servlet.jsp.tagext.SimpleTagSupport;
import java.io.IOException;

/**
 * 自定义标签-信息提示标签
 */
public class MessageTag extends SimpleTagSupport {
	@Override
    public void doTag() {
		PageContext page = (PageContext) this.getJspContext();  
		
		HttpSession session = page.getSession();
		String msg = (String) session.getAttribute("_resultMsg_Session_");
		if( msg != null && msg.length() > 0 ){
			session.removeAttribute("_resultMsg_Session_");
			JspWriter out = this.getJspContext().getOut();
			String js = "<script type=\"text/javascript\">layer.msg('"+msg+"');</script>";
			try {
				out.println(js);
			} catch (IOException e) {
				e.printStackTrace();
			}
		}
    }
}
