package com.coob.aframe.util;

import java.security.*;
import java.util.Formatter;

import javax.crypto.*;

/**
 * 用户密码des加密
 * @author Administrator
 *
 */
public class DESPwd {
	
	/**
	 * 密码加密
	 * @param str
	 * @return
	 * @throws Exception
	 */
	public static String encrypt(String str) {
		String s = null;
		try{
			s = EncryptString(str, "~e\u0005=\n<]U", "~e\u0005=\n<]U");
		} catch (Exception e){
			e.printStackTrace();
		}
		return s;
	}
	
	
	/**
	 * 企业用户加密
	 * @param str
	 * @return
	 */
	public static String qyencrypt(String str){
		String s = null;
		try{
			s = EncryptString(str, "p=??%)]?", "p=??%)]?");
		} catch (Exception e){
			e.printStackTrace();
		}
		return s;
	}
	
	
    public  static  String EncryptString(String strEn, String encryptKey, String encryptIV) throws  Exception {
        Security.addProvider(new com.sun.crypto.provider.SunJCE());
        Key key = new javax.crypto.spec.SecretKeySpec(encryptKey.getBytes("ASCII"),"DES");
        javax.crypto.spec.IvParameterSpec iv = new javax.crypto.spec.IvParameterSpec(encryptIV.getBytes("ASCII"));
        Cipher encryptCipher = Cipher.getInstance("DES/CBC/PKCS5Padding");
        encryptCipher.init(Cipher.ENCRYPT_MODE, key, iv);

        byte[] byteEn = strEn.getBytes("GBK");
        byte[] encryptStringArr = encryptCipher.doFinal(byteEn);
        String data = getHexString(encryptStringArr);
        return data;
    }

    private static String getHexString(byte[] arr) {
        Formatter formatter = new Formatter();
        String formatterStr = "%02x";
        String code="";
        for(int i=0; i<arr.length; i++) {
            byte intTmp = arr[i];
            code = formatter.format(formatterStr, intTmp).toString();
        }
        formatter.close();
        return code;
    }
    
    public static void main(String args[]) throws Exception {
    	String data=DESPwd. EncryptString("0","p=??%)]?","p=??%)]?");
    	System. out.println(data);
    }
    
    
    /**
     * 验证密码
     * @param logpwd
     * @param upwd
     * @param mmfs
     * @return
     */
    public static boolean checkUserPwd(String logpwd, String upwd, Integer mmfs){
    	switch (mmfs) {
			case 1:
				logpwd = DESPwd.encrypt(logpwd);	//DES加密1
				break;
			case 2: 
				logpwd = DESPwd.qyencrypt(logpwd);	//DES加密2
				break;
			case 5:
				logpwd = MD5Util.MD5(logpwd);
			break;
		}

    	if( logpwd.equals(upwd) ){
    		return true;
    	} else {
    		return false;
    	}
    }
}
