package com.coob.mis.cx.dao;

import java.util.List;
import java.util.Map;

import com.coob.mis.cx.domain.MisHouse;

public interface MisHouseDao {

	/**
	 * 新增
	 *
	 * @param misHouse
	 * @return
	 */
	int insert(MisHouse misHouse);

	/**
	 * 修改
	 *
	 * @param misHouse
	 * @return
	 */
	int update(MisHouse misHouse);

	/**
	 * 逻辑删除
	 *
	 * @param id
	 * @return
	 */
	int deleteById(Integer id);

	/**
	 * 物理删除
	 *
	 * @param id
	 * @return
	 */
	int physicalDeleteById(Integer id);

	/**
	 * 根据id查询信息
	 *
	 * @param id
	 * @return
	 */
	MisHouse selectById(Integer id);

	/**
	 * 条件查询列表
	 *
	 * @param params
	 * @return
	 */
	List<MisHouse> selectByParams(Map<String, Object> params);
}
