package com.coob.mis.cx.domain;

import java.io.Serializable;
import java.util.Date;

import lombok.Data;

/**
 * Mis库企业信息
 * @author JK.Sun
 *
 */
@Data
public class MisQyxxb implements Serializable {
	private static final long serialVersionUID = 467372659057999535L;
	
	private Integer id;		//ID	N	NUMBER	N
	private String qybm;	//企业编码	QYBM	N	VARCHAR2(50)	Y
	private String qymc;	//企业名称	QYMC	N	VARCHAR2(100)	Y
	private String qyjc;	//企业简称	QYJC	N	VARCHAR2(50)	Y
	private String fr;		//法人		FR	N	VARCHAR2(50)	Y
	private String frzjlx;	//法人证件类型
	private String frzjhm;	//法人证件号	FRZJHM	N	VARCHAR2(50)	Y
	private String zch;		//注册号		ZCH	N	VARCHAR2(50)	Y	
	private String zcd;		//注册地		ZCD	N	VARCHAR2(50)	Y
	private String zclx;	//注册类型	ZCLX	N	VARCHAR2(50)	Y
	private String zczb;	//注册资本	ZCZB	N	VARCHAR2(50)	Y	
	private String zcjg;    //注册机构	ZCJG	N	VARCHAR2(100)	Y	
	private Date zcrq;    	//注册日期	ZCRQ	N	DATE	Y	
	private Date zcdqr;   	//注册到期日	ZCDQR	N	DATE	Y
	private String lxdz;    //联系地址	LXDZ	N	VARCHAR2(100)	Y
	private String lxyb;	//邮编
	private String lxxx;    //信箱（邮箱）	LXXX	N	VARCHAR2(50)	Y
	private String lxwz;	//网站
	private String lxcz;	//传真
	private String lxdh;	//联系电话	LXDH	N	VARCHAR2(50)	Y
	private String lxbz;	//
	private String lxft;	//
	private Integer sfdl;	//是否登录？
	private Integer sfyx;	//是否有效
	private Integer sfba;	//是否备案	1备案0未备
	private Date zcsj;		//注册时间
	private String czy;		//操作人
	private Integer jf;		//积分？
	private Integer cxfs;	//诚信分数
	private Integer jglx;	//机构类型 1－开发公司， 2－房产中介，3－测绘，4－物业公司，5－银行，6－村镇
	private Date badq;		//备案到期
	
	private String cafzr;		//电子签章负责人
	private String cafzrdh;		//电子签章负责人电话
	private String zzurl;		//营业执照图片路径
	private String zztb;		// 20230201 改为：营业执文件id
	private String sfzzp1;		//法定代表人 身份证照片1
	private String sfzzp2;		//法定代表人 身份证照片2
	
	private String cacjsj;		//CA创建时间
	private String carzsj;		//CA认证时间
	private Integer carzzt;		//认证状态  0未认证  1填写基本信息 2提交基本信息（认证中）  99 认证完成
	private String carzjd;		//认证进度
	private Integer htqx;		//合同权限  0不可草签合同  1可以草签合同（草签合同时，合同不生效，不计算贷款发放期限）
	
	
//	private String shxydm;		//社会信用代码
//	private String squrl;		//授权书url	
//	private String sqtb;		//营业执照图片路径
//	private Integer cashjg;		//CA审核结果  0无  1通过  2不通过 
//	private Integer yzzt;		//印章状态 0未提取  1提取成功   2错误
//	private String yzmsg;		//印章提取信息
//	private String yzsj;		//印章提取时间
	
				
	public MisQyxxb(){}

}
