package com.coob.zhfg.system.dao;

import com.coob.zhfg.system.domain.User;

import java.util.List;
import java.util.Map;

public interface UserDao {
	
	/**
	 * 新增
	 * @param user
	 * @return
	 */
	int insert(User user);

	/**
	 * 修改
	 * @param user
	 * @return
	 */
	int update(User user);

	/**
	 * 逻辑删除
	 * @param id
	 * @return
	 */
	int deleteById(Integer id);

	/**
	 * 根据id查询信息
	 * @param id
	 * @return
	 */
	User selectById(Integer id);

	User selectByDlzh(String dlzh);

	List<User> selectListAll();

	/**
	 * 条件查询列表
	 * @param params
	 * @return
	 */
	List<User> selectByParams(Map<String,Object> params);

}
