package com.coob.zhfg.system.domain;

import lombok.Data;

import java.io.Serializable;

/**
 * 系统操作菜单
 *
 * @author Administrator
 */
@Data
public class Menu implements Serializable {
    private static final long serialVersionUID = 4608058149653139450L;

    private Integer id;             //
    private String xtbs;            //系统标识   各个业务系统菜单放到一起管理，用该字段区分是哪个系统
    private Integer xtid;
    private Integer parentId;       //上级菜单  系统跟菜单为0，
    private String menuName;        //菜单名称  系统名称 - 模块名称 - 菜单名称
    private String url;             //路径
    private Integer menuType;       //菜单类别  0主管部门菜单  1开发企业 2中介机构 3测绘公司 4物业公司 5银行 6村镇 7业委会
                                    //系统名称时：=0但不区分用户类别 即每个系统仅有1个跟目录
    private Integer sn;             //顺序号
    private Integer orders;         //级别 1系统 2模块  4菜单
    private Integer enableFlag;     //启用状态 1启用 2禁用
    private Integer state;          //数据状态

    public static final String XYBS = "mb";

    public Menu(){}

}
