package com.coob.zhfg.system.domain;

import lombok.Data;

import java.io.Serializable;

/**
 * 角色信息
 *
 * @author JK.Sun
 */
@Data
public class Role implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer id;
    private String roleName;        //角色名称
    private Integer roleType;       //角色类别 0主管部门 1开发企业 2中介公司 3测绘公司 4物业公司 5银行 6村镇 7业委会
    private Integer mrbs;           //默认标识 0否 1是
    private String remark;          //备注
    private Integer state;          //状态

}