<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="/WEB-INF/include/taglib.jsp" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>寿光智慧房产-数据服务平台</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="renderer" content="webkit|ie-stand"/>
    <meta name="robots" content="noindex,nofollow,noarchive"/>
    <link type="text/css" rel="stylesheet" href="${ctxStatic}/js/easyui51/themes/base/easyui.css" />
    <link type="text/css" rel="stylesheet" href="${ctxStatic}/js/easyui51/themes/skin-green.css" />
    <link type="text/css" rel="stylesheet" href="${ctxStatic}/js/easyui51/content/Site.css" />
    <link type="text/css" rel="stylesheet" href="${ctxStatic}/js/easyui51/content/fontawesome/css/font-awesome.min.css" />
    <script type="text/javaScript" src="${ctxStatic}/js/jquery/jquery-3.2.1.min.js"></script>
    <script type="text/javaScript" src="${ctxStatic}/js/easyui51/jquery.easyui.min.js"></script>
    <script type="text/javaScript" src="${ctxStatic}/js/easyui51/content/js/home.js"></script>
    <script type="text/javaScript" src="${ctxStatic}/js/easyui51/content/js/common.js"></script>
    <script type="text/javascript" src="${ctxStatic}/js/coob/time.js"></script>
    <script type="text/javascript" src="${ctxStatic}/js/layer/layer.min.js"></script>

    <script type="text/javascript">
        setInterval("document.getElementById('span_datetime').innerHTML=new Date().toLocaleString()+' 星期'+'日一二三四五六'.charAt (new Date().getDay());",1000);
        function iframeReHeight(){
            var bodyH = $("#shouyeFrame").contents().find("body").height();
            $("#shouyeFrame").height(bodyH);
        }

        function bankToIndex(){
            var wl = sessionStorage.getItem("wl");
            var token = sessionStorage.getItem("token");
            var url = '${ctx}/backIdx?token=' + token + '&wl=' + wl;
            layer.msg('正在进入主页…');
            window.location.href = url;
        }
    </script>
</head>
<body class="easyui-layout" id="easyLayout">
    <div id="modalwindow" class="easyui-window" data-options="closed:true,minimizable:false,shadow:false,collapsible:true"></div>
    <div id="north" data-options="region:'north',border:false,split:false" style="height: 50px; padding: 0; margin: 0; min-width: 1200px;">
        <table class="banner" style="border-spacing: 0px;">
            <tr>
                <td width="200" style="width: 200px; text-align: left; padding-left: 15px;" class="webname">
                    <span class="fa fa-yelp" style="font-size: 26px; padding-right: 8px;"></span>
                    <span style="line-height: 25px;">寿光智慧房产</span>
                </td>
                <td width="350" style="padding-left: 30px; font-size: 20px; font-weight: bold;">
                    寿光市房产数据服务平台
                </td>
                <td></td>
                <td width="230">
                    <table style="border:0; text-align:center;">
                        <tr>
                            <td nowrap="nowrap">
                                <span id="span_datetime" style="color: #539CD1;"></span>
                            </td>
                        </tr>
                        <tr>
                            <td nowrap="nowrap">
                                <span style="color: #539CD1;"><script type="text/javascript">solarday1();solarday2();</script></span>
                            </td>
                        </tr>
                    </table>
                </td>
                <td width="120" style="overflow: hidden;">
                    <img src="${ctxStatic}/js/easyui51/content/Images/loginuser.png" style="border: 1px;" class="user-image" alt="User Image"></img>
                    <span class="user-name" style="width: 80px;">${loginUser.userName }</span>
                </td>
                <td width="130">
                    <a href="javascript:void(0);" onclick="bankToIndex()" class="easyui-linkbutton btnc" style="width:100px;">返回主页</a>
                </td>
            </tr>
        </table>
    </div>

    <!-- Menu -->
    <div id="west" data-options="region:'west',split:true,title:'导航菜单',collapsible:false" style="width: 220px; height: 100%; overflow: auto; border-bottom: 0px;">
        <div id="RightAccordion" class="easyui-accordion" data-options="fit:true,border:false">
            <div class="easyui-accordion" style="width: 500px; height: 300px; font-size: 14px;">
                ${menuStr }
            </div>
        </div>
        <div id="RightTree" class="easyui-tree"></div>
    </div>

    <!-- Main -->
    <div id="center" data-options="region:'center',border:false">
        <div id="mainTab" class="easyui-tabs" data-options="fit:true">
            <div title="首页" data-options="closable:true,iconCls:'fa fa-tachometer'" style="background-color: #F3F3F3;">
                <iframe id="shouyeFrame"  onLoad="iframeReHeight()" style="width: 100%; height: 100%;" frameborder="0" noresize="noresize" scrolling="auto"></iframe>
            </div>
        </div>
    </div>

    <div id="tab_menu" class="easyui-menu" style="width: 150px;">
        <div id="tab_menu-tabrefresh" data-options="iconCls:'icon-reload'">刷新</div>
        <div id="tab_menu-openFrame">在新的窗体打开</div>
        <div id="tab_menu-tabcloseall">关闭所有</div>
        <div id="tab_menu-tabcloseother">关闭其他标签页</div>
        <div class="menu-sep"></div>
        <div id="tab_menu-tabcloseright">关闭右边</div>
        <div id="tab_menu-tabcloseleft">关闭左边</div>
        <div id="tab_menu-tabclose" data-options="iconCls:'fa fa-trash'">关闭</div>
        <div id="menu" class="easyui-menu" style="width: 150px;"></div>
    </div>
</body>
</html>
