<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/WEB-INF/include/taglib.jsp" %>
<!DOCTYPE html>
<html>
<head>
	<title>数据统计 - 商品房</title>
	<meta charset="UTF-8">
	<link type="text/css" href="${ctxStatic}/css/style.css" rel="stylesheet"/>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-3.2.1.min.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-loading.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/layer/layer.min.js"></script>

	<style>
		.div-bt { line-height: 35px; font-weight: 600;}
		.div-xm { display: inline-block; width: 150px; text-align: right; font-weight: 400; color: #444; }
		.sj { display: inline-block;  text-align: right; font-weight: 600;}
		.dw { padding-left: 3px; font-size: 12px; color: #666;}
	</style>
</head>
<body>
<div class="main">
	<div class="page_title"><span class="title_name">房屋数据统计：</span>
		<span style="padding-left: 30px; color: #666; font-weight: 400;">(数据更新时间：${tj.tjsj})</span>
		<span style="padding-left: 10px;">
			<a href="" class="a_lan">[更新数据]</a>
		</span>
	</div>
	<div class="content">
		<div class="div-bt">※ 商品房房屋数据统计：</div>
		<div style="width: 700px; padding: 10px;  line-height: 38px; border: 1px solid #D2D2D2;">
			<div>
				<div class="div-xm">商品房项目数:</div>
				<div class="sj" style="width: 80px;">${tj.xms}</div>
				<span class="dw">(个)</span>
				<div class="div-xm">楼幢数:</div>
				<div class="sj" style="width: 80px;">${tj.lzs}</div>
				<span class="dw">(栋)</span>
			</div>
			<div>
				<div class="div-xm">房屋总套数:</div>
				<div class="sj" style="width: 80px;">
					<fmt:formatNumber value="${tj.zts}" pattern="#,##0" />
				</div>
				<span class="dw">(套)</span>
				<div class="div-xm">总面积:</div>
				<div class="sj" style="width: 120px;">
					<fmt:formatNumber value="${tj.zmj}" pattern="#,##0.00" />
				</div>
				<span class="dw">(平方米)</span>
			</div>
			<div>
				<div class="div-xm">住宅房屋总套数:</div>
				<div class="sj" style="width: 80px;">
					<fmt:formatNumber value="${tj.ztsz}" pattern="#,##0" />
				</div>
				<span class="dw">(套)</span>
				<div class="div-xm">总面积:</div>
				<div class="sj" style="width: 120px;">
					<fmt:formatNumber value="${tj.zmjz}" pattern="#,##0.00" />
				</div>
				<span class="dw">(平方米)</span>
			</div>
			<div>
				<div class="div-xm">房屋销售套数:</div>
				<div class="sj" style="width: 80px;">
					<fmt:formatNumber value="${tj.xsts}" pattern="#,##0" />
				</div>
				<span class="dw">(套)</span>
				<div class="div-xm">销售面积:</div>
				<div class="sj" style="width: 120px;">
					<fmt:formatNumber value="${tj.xsmj}" pattern="#,##0.00" />
				</div>
				<span class="dw">(平方米)</span>
			</div>
			<div>
				<div class="div-xm">商品房库存套数:</div>
				<div class="sj" style="width: 80px;">
					<fmt:formatNumber value="${tj.kcts}" pattern="#,##0" />
				</div>
				<span class="dw">(套)</span>
				<div class="div-xm">库存面积:</div>
				<div class="sj" style="width: 120px;">
					<fmt:formatNumber value="${tj.kcmj}" pattern="#,##0.00" />
				</div>
				<span class="dw">(平方米)</span>
			</div>
			<div>
				<div class="div-xm">住宅房屋库存套数:</div>
				<div class="sj" style="width: 80px;">
					<fmt:formatNumber value="${tj.kctsz}" pattern="#,##0" />
				</div>
				<span class="dw">(套)</span>
				<div class="div-xm">库存面积:</div>
				<div class="sj" style="width: 120px;">
					<fmt:formatNumber value="${tj.kcmjz}" pattern="#,##0.00" />
				</div>
				<span class="dw">(平方米)</span>
			</div>
			<div>
				<div class="div-xm">月均销量(商品房):</div>
				<div class="sj" style="width: 120px;">
					<fmt:formatNumber value="${tj.yxsmj}" pattern="#,##0.00" />
				</div>
				<span class="dw">(平方米)</span>
			</div>
			<div>
				<div class="div-xm">月均销量(住宅):</div>
				<div class="sj" style="width: 120px;">
					<fmt:formatNumber value="${tj.yxsmjz}" pattern="#,##0.00" />
				</div>
				<span class="dw">(平方米)</span>
			</div>
			<div>
				<div class="div-xm">去化周期(商品房):</div>
				<div class="sj" style="width: 80px;">
					${tj.qhzq}
				</div>
				<span class="dw">(个月)</span>
			</div>
			<div>
				<div class="div-xm">去化周期(住宅):</div>
				<div class="sj" style="width: 80px;">
					${tj.qhzqz}
				</div>
				<span class="dw">(个月)</span>
			</div>
		</div>

		<div class="div-bt" style="padding-top: 15px;">※ 农村农房数据统计：</div>
		<div style="width: 700px; padding: 10px;  line-height: 38px; border: 1px solid #D2D2D2;">
			<div>
				<div class="div-xm">自然村数:</div>
				<div class="sj" style="width: 80px;">
					${tj.csnf}
				</div>
				<span class="dw">(个)</span>
			</div>
			<div>
				<div class="div-xm">农房套数:</div>
				<div class="sj" style="width: 80px;">
					<fmt:formatNumber value="${tj.ztsnf}" pattern="#,##0" />
				</div>
				<span class="dw">(套)</span>
				<div class="div-xm">农房面积:</div>
				<div class="sj" style="width: 120px;">
					<fmt:formatNumber value="${tj.zmjnf}" pattern="#,##0.00" />
				</div>
				<span class="dw">(平方米)</span>
			</div>
		</div>
	</div>
</div>
</body>
</html>