/**
 * 消息提示框 和防止二次提交
 * 
 */
var submitflag = true;

/**
 * 防止二次提交
 * 
 */
(function($) {
	$.fn.submission = function() {// doNotDisable 给ID设置不加载的信息
		$(":submit").each(function() {
			bindclick(this);
		});
		$(":image").each(function() {
			bindclick(this);
		});
		$("a").each(function() {
			bindclick(this);
		});
		enableAll();
		return;
	};

	this.bindclick = function(thisobj) {
		if(thisobj != null && thisobj.id && thisobj.id.indexOf("noload_") <= -1 ){
				register(thisobj.id);
	 			$(thisobj).bind("click",function(){
				 disableAll();
	 	 	});
	 	 }
	};

	this.elements = new Array();
	this.arrayPosition = 0;
	this.enableAll = function() {
		for (var c = 0; c < this.arrayPosition; c = c + 1) {
			this.elements[c].enable();
		}
		hiddenload();
	};

	this.disableAll = function() {
		if (!submitflag)
			return;
		for (var c = 0; c < this.arrayPosition; c = c + 1) {
			this.elements[c].disable();
		}
		visibleload();
	};

	this.register = function(HTMLElementID, doNotDisable, optionalOnEnableJavascriptAction) {
		var flag = false;
		for(var i =0;i<elements.length;i++){ 
			var value = elements[i] ;
			if( HTMLElementID == value.ID ){
				flag  = true;
				break;
			}
		} 
		
		if(!flag){
			
		this.elements[this.arrayPosition] = new this.RegisteredElement(
				HTMLElementID, doNotDisable, optionalOnEnableJavascriptAction);
		this.arrayPosition = this.arrayPosition + 1;
		}
	};

	this.RegisteredElement = function(ElementID, doNotDisable, optionalOnEnableJavascriptAction) {
		this.ID = ElementID;
		this.oldCursor = "normal";
		this.ItemOnMouseDown = null;
		this.ItemOnMouseUp = null;
		this.ItemOnMouseOver = null;
		this.ItemOnMouseOut = null;
		this.ItemOnMouseClick = null;
		this.ItemOnBlur = null;
		this.ItemOnFocus = null;
		this.ItemOnChange = null;
		this.onEnableJS = optionalOnEnableJavascriptAction;
		this.enable = enableInternal;
		this.disable = disableInternal;
		function enableInternal() {
			document.getElementById(this.ID).style.cursor = this.oldCursor;
			if (document.getElementById(this.ID).tagName == "BUTTON"
					|| document.getElementById(this.ID).tagName == "A") {
				document.getElementById(this.ID).disabled = false;
			} else {
				document.getElementById(this.ID).onmousedown = this.ItemOnMouseDown;
				document.getElementById(this.ID).onmouseup = this.ItemOnMouseUp;
				document.getElementById(this.ID).onmouseover = this.ItemOnMouseOver;
				document.getElementById(this.ID).onmouseout = this.ItemOnMouseOut;
				document.getElementById(this.ID).onclick = this.ItemOnMouseClick;
				document.getElementById(this.ID).onblur = this.ItemOnBlur;
				document.getElementById(this.ID).onfocus = this.ItemOnFocus;
				document.getElementById(this.ID).onchange = this.ItemOnChange;
			}
			if (this.onEnableJS != null) {
				eval(this.onEnableJS);
			}
		}

		function disableInternal() {
			try {
				if (document.getElementById(this.ID))
					this.oldCursor = document.getElementById(this.ID).style.cursor;
				else
					return false;
				document.getElementById(this.ID).style.cursor = "not-allowed";
				if (document.getElementById(this.ID).tagName == "BUTTON"
						|| document.getElementById(this.ID).tagName == "A") {
					document.getElementById(this.ID).disabled = true;
				} else {
					this.ItemOnMouseDown = document.getElementById(this.ID).onmousedown;
					this.ItemOnMouseUp = document.getElementById(this.ID).onmouseup;
					this.ItemOnMouseOver = document.getElementById(this.ID).onmouseover;
					this.ItemOnMouseOut = document.getElementById(this.ID).onmouseout;
					this.ItemOnMouseClick = document.getElementById(this.ID).onclick;
					this.ItemOnBlur = document.getElementById(this.ID).onblur;
					this.ItemOnFocus = document.getElementById(this.ID).onfocus;
					this.ItemOnChange = document.getElementById(this.ID).onchange;
					document.getElementById(this.ID).onmousedown = function() {
						void (0);
						return false;
					};
					document.getElementById(this.ID).onmouseup = function() {
						void (0);
						return false;
					};
					document.getElementById(this.ID).onmouseover = function() {
						void (0);
						return false;
					};
					document.getElementById(this.ID).onmouseout = function() {
						void (0);
						return false;
					};
					document.getElementById(this.ID).onclick = function() {
						void (0);
						return false;
					};
					document.getElementById(this.ID).onblur = function() {
						void (0);
						return false;
					};
					document.getElementById(this.ID).onfocus = function() {
						void (0);
						return false;
					};
					document.getElementById(this.ID).onchange = function() {
						void (0);
						return false;
					};
				}
			} catch (e) {

			}
		}
		if (!doNotDisable) {
			this.disable();
		}
	};
	
	this.visibleload = function() {
		ajaxLoading();
	};

	this.hiddenload = function() {
		ajaxLoadEnd();
		return;
	};
})(jQuery);

function ajaxLoading() {
	$("<div id='datagrid-mask'></div>").css({
		display : "block",
		width : "100%",
		background: "#ccc",
		position: "absolute",
		left: "0",
		top: "0",
		opacity: "0.3",
		filter: "alpha(opacity=30)",
		height : $(window).height()
	}).appendTo("body");
	$("<div id='datagrid-mask-msg'></div>")
	.html("正在努力处理，请稍候...")
	.appendTo("body").css({
		display: "block",
		position: "absolute",
		"margin-top": "-20px",
		padding: "10px 5px 10px 30px",
		width: "auto",
		height: "16px",
		border: "1px solid #D0D0D0",
		"background-image": "url(img/loading.gif)",
		left : ($(document.body).outerWidth(true) - 190) / 2,
		top : ($(window).height() - 45) / 2
	});
}

function ajaxLoadEnd() {
	$("#datagrid-mask").remove();
	$("#datagrid-mask-msg").remove();
}

$(document).ready(function() {
	$(document).submission();
});

$(document).ready(function() {
	$("#messages td").each(function() {
		var str = $.trim($(this).html());
		if (str != null && str != '') {
			if(str.indexOf("No navigation case match for ")>=0){
			}else{
				$.messager.alert('消息提示', str);
			}
		}
	});
});


function getObj(thisid, name){
 		var ids  = thisid.split(":");
		var s  = "";
		for(var i  = 0;i<ids.length-1;i++){
 				 s=s+ids[i]+":";
		}
	return 	document.getElementById(s+name);
	}

 