package com.coob.aframe.fileCreate;

import java.util.List;

/**
 * 记录数据库表配置
 */
public class ConfigTable {

	public String tableName;		//数据库名

	public String defaultMappingPath;	//默认mapping文件路径

	public String javaEntity;			//JavaBean名称
	public String defaultJavaPath;		//默认Java文件路径
	public String defaultJspPath;		//默认Jsp文件路径
	public String namespace;
	public String action;

	public boolean columnHasDate = false;
	public boolean columnHasDecimal = false;

	public String sqlmapsConfig;
	public String applicationConfig;
	public String strutsConfig;
	
	public String sqlName;
	public String sqlPath;
	public boolean sqlFlag = true;
	
	public String domainName;
	public String domainNamexx;
	public String domainPath;
	public boolean domainFlag = true;
	
	public String daoName;
	public String daoNamexx;
	public String daoPath;
	public boolean daoFlag = true;
	
	public String serviceName;
	public String serviceNamexx;
	public String servicePath;
	public boolean serviceFlag = true;
	
	public String actionName;
	public String actionNamexx;
	public String actionPath;
	public boolean actionFlag = true;
	
	public String listName;
	public String listPath;
	public boolean listFlag = true;
	
	public String addName;
	public String addPath;
	public boolean addFlag = true;
	
	public String editName;
	public String editPath;
	public boolean editFlag = true;
	
	public String viewName;
	public String viewPath;
	public boolean viewFlag = true;
	
	
	public List<ColumnBean> columnList;		//字段信息
	public Integer colMaxLength;			//字段最大长度
	public Integer domMaxLength;			//domain属性最大长度
	
	public void setDefault(){
		
		if( sqlName == null ) sqlName = tableName;
		if( sqlPath == null ) sqlPath = "src/sqlmaps";
		
		if( domainName == null ) domainName = javaEntity;
		if( domainPath == null ) domainPath = defaultJavaPath+".domain";
		domainNamexx = CUtil.szmXx(domainName);

		if( daoName == null ) daoName = javaEntity+"Dao";
		if( daoPath == null ) daoPath = defaultJavaPath+".dao";
		daoNamexx = CUtil.szmXx(daoName);
		
		if( serviceName == null ) serviceName = javaEntity+"Service";
		if( servicePath == null ) servicePath = defaultJavaPath+".service";
		serviceNamexx = CUtil.szmXx(serviceName);

		if( actionName == null ) actionName = javaEntity+"Controller";
		if( actionPath == null ) actionPath = defaultJavaPath+".controller";
		actionNamexx = CUtil.szmXx(actionName);

		if( listName == null ) listName = "list";
		if( listPath == null ) listPath = defaultJspPath;
		
		if( addName == null ) addName = "add";
		if( addPath == null ) addPath = defaultJspPath;
		
		if( editName == null ) editName = "edit";
		if( editPath == null ) editPath = defaultJspPath;
		
		if( viewName == null ) viewName = "view";
		if( viewPath == null ) viewPath = defaultJspPath;
	}
}
