package com.coob.aframe.fileCreate;

import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;
import java.util.List;

public class CreateAddJsp {
	
	public static void create(String jspBasePath, ConfigTable table, ConfigBean configBean){
		String path = jspBasePath+"/"+table.listPath+"/";
		File file = CUtil.createFile(path, table.addName, "jsp");
		
		try{
			BufferedWriter writer = new BufferedWriter(new FileWriter(file));
			writer.write("<%@ page language=\"java\" contentType=\"text/html; charset=UTF-8\" pageEncoding=\"UTF-8\"%>\r\n");
			writer.write("<%@ include file=\"/WEB-INF/include/taglib.jsp\" %>\r\n");
			writer.write("\r\n");

			writer.write("<!DOCTYPE html>\r\n");
			writer.write("<html>\r\n");
			writer.write("<head>\r\n");
			writer.write("\t<title>信息添加</title>\r\n");
			writer.write("\t<meta charset=\"UTF-8\">\r\n");
			writer.write("\t<link type=\"text/css\" href=\"${ctxStatic}/css/style.css\" rel=\"stylesheet\"/>\r\n");
			writer.write("\t<script type=\"text/javascript\" src=\"${ctxStatic}/js/jquery/jquery-3.2.1.min.js\"></script>\r\n");
			writer.write("\t<script type=\"text/javascript\" src=\"${ctxStatic}/js/jquery/jquery-loading.js\"></script>\r\n");
			writer.write("\t<script type=\"text/javascript\" src=\"${ctxStatic}/js/layer/layer.min.js\"></script>\r\n");
			writer.write("\r\n");
			
			writer.write("\t<script type=\"text/javascript\">\r\n");
			writer.write("\t\tfunction checkForm(){\r\n");
			writer.write("\t\t\tsubmitflag = false;\r\n");
			writer.write("\t\t\tsubmitflag = true;\r\n");
			writer.write("\t\t\treturn true;\r\n");
			writer.write("\t\t}\r\n");
			writer.write("\r\n");

			writer.write("\t</script>\r\n");
			writer.write("</head>\r\n");
			
			writer.write("<body>\r\n");
			writer.write("<form id=\"form0\" action=\"${ctx}"+table.action+"/doAdd\" method=\"post\" >\r\n");
			writer.write("<div class=\"main\">\r\n");
			writer.write("\t<div class=\"page_title\">信息添加 </div>\r\n");
			
			writer.write("\t<div class=\"content\">\r\n");
			writer.write("\t\t<table style=\"width:100%\" class=\"table_frame\">\r\n");
			writer.write("\t\t\t<col width=\"110\"/>\r\n");
			writer.write("\t\t\t<col width=\"*\"/>\r\n");
			
			List<ColumnBean> colList = table.columnList;
			for( int i=0;i<colList.size();i++ ){
				ColumnBean col = colList.get(i);
				String colName = col.getColName();
				if( col.getColComment() != null && col.getColComment().length() > 0 ){
					colName = col.getColComment();
				}
				
				writer.write("\t\t\t<tr>\r\n");
				writer.write("\t\t\t\t<th>"+colName+":</th>\r\n");
				writer.write("\t\t\t\t<td align=\"left\">\r\n");
				writer.write("\t\t\t\t\t<input type=\"text\" id=\""+col.getBeanName()+"\" name=\""+col.getBeanName()+"\" value=\"${"+table.domainNamexx+"."+col.getBeanName()+"}\" style=\"width:99%;\" class=\"input\" />\r\n");
				writer.write("\t\t\t\t</td>\r\n");
				writer.write("\t\t\t</tr>\r\n");
			}
			writer.write("\t\t</table>\r\n");
			
			writer.write("\t\t<div align=\"center\">\r\n");
			writer.write("\t\t\t<input type=\"submit\" id=\"savBtn\" value=\"保 存\" onclick=\"return checkForm()\" class=\"a_btn_blue\" />\r\n");
			writer.write("\t\t\t<a id=\"bakBtn\" href=\"${ctx}"+table.action+"/doPage\" class=\"a_btn_blue\">返回</a>\r\n");
			writer.write("\t\t</div>\r\n");
			writer.write("\t</div>\r\n");
			writer.write("</div>\r\n");
			writer.write("</form>\r\n");
			writer.write("</body>\r\n");
			writer.write("<p:message/>\r\n");
			writer.write("</html>");
			
			writer.close();
			System.out.println(table.addPath+"/"+table.addName+" 创建成功...");
		}catch(Exception e){
			e.printStackTrace();
		}
	}
}
