package com.coob.aframe.fileCreate;

import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;
import java.util.List;

public class CreateViewJsp {

	public static void create(String jspBasePath,ConfigTable table, ConfigBean configBean){
		String path = jspBasePath+"/"+table.viewPath+"/";
		File file = CUtil.createFile(path, table.viewName, "jsp");
		
		try{
			BufferedWriter writer = new BufferedWriter(new FileWriter(file));
			writer.write("<%@ page language=\"java\" contentType=\"text/html; charset=UTF-8\" pageEncoding=\"UTF-8\"%>\r\n");
			writer.write("<%@ include file=\"/WEB-INF/include/taglib.jsp\" %>\r\n");
			writer.write("\r\n");

			writer.write("<!DOCTYPE html>\r\n");
			writer.write("<html>\r\n");
			writer.write("<head>\r\n");
			writer.write("\t<title>信息查看</title>\r\n");
			writer.write("\t<meta charset=\"UTF-8\">\r\n");
			writer.write("\t<link type=\"text/css\" href=\"${ctxStatic}/css/style.css\" rel=\"stylesheet\"/>\r\n");
			writer.write("\t<script type=\"text/javascript\" src=\"${ctxStatic}/js/jquery/jquery-3.2.1.min.js\"></script>\r\n");
			writer.write("\t<script type=\"text/javascript\" src=\"${ctxStatic}/js/jquery/jquery-loading.js\"></script>\r\n");
			writer.write("\t<script type=\"text/javascript\" src=\"${ctxStatic}/js/layer/layer.min.js\"></script>\r\n");
			writer.write("\r\n");
			writer.write("</head>\r\n");
			
			writer.write("<body>\r\n");
			
			writer.write("<div class=\"main\">\r\n");
			writer.write("\t<div class=\"page_title\">信息查看 </div>\r\n");
			
			writer.write("\t<div class=\"content\">\r\n");
			writer.write("\t\t<table style=\"width:100%\" class=\"table_view\">\r\n");
			writer.write("\t\t\t<col width=\"10%\"/>\r\n");
			writer.write("\t\t\t<col width=\"90%\"/>\r\n");
			
			List<ColumnBean> colList = table.columnList;
			for( int i=0;i<colList.size();i++ ){
				ColumnBean col = colList.get(i);
				writer.write("\t\t\t<tr>\r\n");
				
				String colName = col.getColName();
				if( col.getColComment() != null && col.getColComment().length() > 0 ){
					colName = col.getColComment();
				}
				writer.write("\t\t\t\t<th>"+colName+":</th>\r\n");
				writer.write("\t\t\t\t<td align=\"left\">${"+table.domainNamexx+"."+col.getBeanName()+"}</td>\r\n");
				writer.write("\t\t\t</tr>\r\n");
			}

			writer.write("\t\t</table>\r\n");

			writer.write("\t\t<div align=\"center\">\r\n");
			writer.write("\t\t\t<a id=\"bakBtn\" href=\"${ctx}"+table.action+"/doPage\" class=\"a_btn_blue\">返回</a>\r\n");
			writer.write("\t\t</div>\r\n");
			writer.write("\t</div>\r\n");
			writer.write("</div>\r\n");
			writer.write("</body>\r\n");
			writer.write("<p:message/>\r\n");
			writer.write("</html>");
			
			writer.close();
			System.out.println(table.viewPath+"/"+table.viewName+" 创建成功...");
		}catch(Exception e){
			e.printStackTrace();
		}
	}
}
