package com.coob.mis.cx.domain;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
 * 项目信息
 * @author 18678
 *
 */
@Data
public class MisXmxx implements Serializable {
	private static final long serialVersionUID = 1L;
	
	private Integer id;			//
	private String xmbh;		//项目编号
	private String xmmc;		//项目名称
	private Integer qyid;		//企业id
	private String jsdz;		//建设地址
	private String xsdz;		//销售地址
	private String xsdh;		//销售电话
	private String fzr;			//负责人
	private Date jhkgrq;		//计划开工日期
	private Date jhjgrq;		//计划竣工日期
	private Date kgrq;			//开工日期
	private Date jgrq;			//竣工日期
	private BigDecimal zjzmj;	//总建筑面积
	private BigDecimal yxsmj;	//预销售面积
	private Integer ds;			//栋数
	private Integer dys;		//单元数
	private Integer ts;			//套数
	private String xmjj;		//项目简介
	private String xmft;		//项目附图
	private Integer sfwc;		//
	private Integer zt;			//
	private String bz;			//
	private String czy;			//
	private Date tjrq;			//
	private Integer ptsjzt;		//平台数据同步状态 0新增未同步 1修改未同步 5同步完成
	
	private String qymc;
	
    public MisXmxx(){}

}
