package com.coob.zhfg.system.dao;

import com.coob.zhfg.system.domain.RoleMenu;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 角色-菜单关联Dao
 * @author JK.Sun
 * @version 20210308
 */
public interface RoleMenuDao {

	public int insert(RoleMenu roleMenu);

	public int deleteByRoleId(Integer roleId);

    List<RoleMenu> selectRoleMenuListByRoleId(Integer roleId);

    int insertBatch(List<RoleMenu> roleMenus);

    void deleteByMenuId(Integer menuId);
}
