package com.coob.zhfg.system.dao;

import com.coob.zhfg.system.domain.UserRole;
import org.apache.ibatis.annotations.Param;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.stereotype.Repository;

import java.util.List;


/**
 * 用户角色管理Dao
 * @author Administrator
 *
 */
public interface UserRoleDao {

	int insert(UserRole userRole);

	int insertBatch(List<UserRole> roleList);
	
	int deleteById(Integer id);

	int deleteByRoleid(Integer roleid);

	int deleteByUserId(@Param("userId")Integer userId,@Param("type") Integer type);

	int selectByUserId(@Param("userId")Integer userId,@Param("type") Integer type);
}
