package com.coob.zhfg.system.domain;

import lombok.Data;

import java.io.Serializable;

/**
 * 用户、角色关联表
 * 目前每个用户仅指定1个角色
 */
@Data
public class UserRole implements Serializable {
	private static final long serialVersionUID = 1L;

	private Integer id;
	private Integer userId;		//用户id
	private Integer roleId;		//角色id
	private Integer type;		//用户类别 0主管部门  1开发企业 2中介 3测绘 4物业 5银行 6村镇 7业委会
	private Integer state;

	public UserRole(){}
	
	public UserRole(Integer userId, Integer roleId, Integer type){
		this.userId = userId;
		this.roleId = roleId;
		this.type = type;
		this.state = 1;
	}
}
