<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/WEB-INF/include/taglib.jsp" %>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8">
	<title>寿光智慧房产 - 数据服务平台</title>
	<meta http-equiv="X-UA-Compatible" content="IE=edge"/>
	<meta name="renderer" content="webkit|ie-stand"/>
	<meta name="robots" content="noindex,nofollow,noarchive"/>
	<link type="text/css" rel="stylesheet" href="${ctxStatic}/css/login/login.css" />
	<script type="text/javaScript" src="${ctxStatic}/js/jquery/jquery-3.2.1.min.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/layer/layer.min.js"></script>
	<script type="text/javascript">
		$(function () {
			document.getElementById('account').focus();
			showMsg();
		});

		function showMsg(){
			var msg = $("#logMsg").text();
			if( msg != '' && msg != 'null' ){
				layer.msg(msg);
			}
		}

		function keyAccount(e){
			var keynum = window.event ? e.keyCode : e.which;
			if( keynum == 13 || keynum==9 ){
				document.getElementById('password').focus();
			}
		}
		function keyPassword(e){
			var keynum = window.event ? e.keyCode : e.which;
			if( keynum == 13 ){
				onSubmit();
			}
		}
		function onSubmit(){
			var account = document.getElementById('account').value;
			if( account == '' ){
				alert('用户名不能为空');
				return false;
			}
			var password = document.getElementById('password').value;
			if( password == '' ){
				alert('登录密码不能为空');
				return false;
			}
			document.getElementById('form0').submit();
		}
	</script>
</head>
<body>
<form id="form0" action="${ctx}/login" method="post">
	<div class="logbg">
		<div class="logdiv">
			<div class="tt0">寿光市房产数据服务平台</div>
			<div class="tt1">单位：寿光市房产物业服务中心</div>
			<div class="tt2">账号</div>
			<div class="zh">
				<input type="text"  id="account" name="account" placeholder="请输入登录账号"  autocomplete="off" class="k" />
			</div>
			<div class="tt2">密码</div>
			<div class="mm">
				<input type="password" id="password" name="password" placeholder="请输入登录密码" autocomplete="off" class="k" />
			</div>
			<div class="xz">
			</div>
			<div class="dl">
				<input type="submit" value="登录" class="btn" onclick="return onSubmit()" />
			</div>
			<div class="zc">服务支持：山东酷邦软件有限公司</div>
			<div id="logMsg" style="padding-top: 15px; text-align: center; font-size: 14px; color: #F45152;">${resultMsg}</div>
		</div>
	</div>
</form>
</body>
</html>