<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/WEB-INF/include/taglib.jsp" %>

<!DOCTYPE html>
<html>
<head>
	<title>信息列表</title>
	<meta charset="UTF-8">
	<link type="text/css" href="${ctxStatic}/css/style.css" rel="stylesheet"/>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-3.2.1.min.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-loading.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/layer/layer.min.js"></script>

	<script type="text/javascript">
		function doDelInfo(id){
			submitflag = false;
			if(confirm("确认要删除该信息吗?")){
				submitflag = true;
				window.location.href = '${ctx}/mis/cx/house/doDel?id='+id;
			}
		}
	</script>
</head>
<body>
<form id="form0" action="${ctx}/mis/cx/house/doList" method="post" >
<div class="main">
	<div class="page_title"><span class="title_name">信息列表： </span></div>
	<div class="select">
		<div class="hang">
			<span class="tj">查询条件:<input type="text" id="selStr" name="selStr" value="${selStr}" style="width:120px;" class="input" /></span>
			<span class="tj">
				<input type="submit" id="selBtn" value="查询" class="a_btn_blue" />
				<a id="addBtn" href="${ctx}/mis/cx/house/toAdd" class="a_btn_blue">新增</a>
			</span>
		</div>
	</div>

	<div class="content">
		<table style="width:100%" class="table_list">
			<thead>
				<tr>
					<th width="40">序号</th>
					<th>house_id</th>
					<th>house_code</th>
					<th>house_name</th>
					<th>house_zl</th>
					<th>house_type</th>
					<th>house_kc</th>
					<th>house_kl</th>
					<th>unit</th>
					<th>house_order</th>
					<th>fl_count</th>
					<th>hx</th>
					<th>xz</th>
					<th>yt</th>
					<th>nd</th>
					<th>jg</th>
					<th>yjzmj</th>
					<th>jzmj</th>
					<th>ytnmj</th>
					<th>tnmj</th>
					<th>ygtmj</th>
					<th>gtmj</th>
					<th>ffmj</th>
					<th>xsjg</th>
					<th>fl_height</th>
					<th>building_id</th>
					<th>zt</th>
					<th>bz</th>
					<th>dong</th>
					<th>house_zcs</th>
					<th>bdcdyh</th>
					<th width="150">操作</th>
				</tr>
			</thead>
			<c:forEach varStatus="index" items="${pageInfo.list}" var="obj" >
				<tr>
					<td align="center">${index.index+1}</td>
					<td align="center">${obj.houseId}</td>
					<td align="center">${obj.houseCode}</td>
					<td align="center">${obj.houseName}</td>
					<td align="center">${obj.houseZl}</td>
					<td align="center">${obj.houseType}</td>
					<td align="center">${obj.houseKc}</td>
					<td align="center">${obj.houseKl}</td>
					<td align="center">${obj.unit}</td>
					<td align="center">${obj.houseOrder}</td>
					<td align="center">${obj.flCount}</td>
					<td align="center">${obj.hx}</td>
					<td align="center">${obj.xz}</td>
					<td align="center">${obj.yt}</td>
					<td align="center">${obj.nd}</td>
					<td align="center">${obj.jg}</td>
					<td align="center">${obj.yjzmj}</td>
					<td align="center">${obj.jzmj}</td>
					<td align="center">${obj.ytnmj}</td>
					<td align="center">${obj.tnmj}</td>
					<td align="center">${obj.ygtmj}</td>
					<td align="center">${obj.gtmj}</td>
					<td align="center">${obj.ffmj}</td>
					<td align="center">${obj.xsjg}</td>
					<td align="center">${obj.flHeight}</td>
					<td align="center">${obj.buildingId}</td>
					<td align="center">${obj.zt}</td>
					<td align="center">${obj.bz}</td>
					<td align="center">${obj.dong}</td>
					<td align="center">${obj.houseZcs}</td>
					<td align="center">${obj.bdcdyh}</td>
					<td align="center">
						<a id="edtBtn" href="${ctx}/mis/cx/house/toEdit?id=${obj.id}" class="a_blue">编辑</a>
						<a id="delBtn" href="javascript:void(0);" onclick="doDelInfo('${obj.id}')" class="a_blue">删除</a>
						<a id="vieBtn" href="${ctx}/mis/cx/house/toView?id=${obj.id}" class="a_blue">查看</a>
					</td>
				</tr>
			</c:forEach>
		</table>
	</div>

	<div class="page">
		<p:pages cpage="${pageInfo.pageNum}" totalPage="${pageInfo.pages}" totalRow="${pageInfo.total}" pageSize="${pageInfo.pageSize}" url="${ctx}/mis/cx/house/doPage" styleClass="page" theme="text"/>
	</div>
	</div>
</form>
</body>
<p:message/>
</html>