<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/WEB-INF/include/taglib.jsp" %>

<!DOCTYPE html>
<html>
<head>
	<title>信息列表</title>
	<meta charset="UTF-8">
	<link type="text/css" href="${ctxStatic}/css/style.css" rel="stylesheet"/>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-3.2.1.min.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-loading.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/layer/layer.min.js"></script>

	<script type="text/javascript">
		function doDelInfo(id){
			submitflag = false;
			if(confirm("确认要删除该信息吗?")){
				submitflag = true;
				window.location.href = '${ctx}/sys/user/doDel?id='+id;
			}
		}
	</script>
</head>
<body>
<form id="form0" action="${ctx}/sys/user/doList" method="post" >
<div class="main">
	<div class="page_title"><span class="title_name">信息列表： </span></div>
	<div class="select">
		<div class="hang">
			<span class="tj">查询条件:<input type="text" id="selStr" name="selStr" value="${selStr}" style="width:120px;" class="input" /></span>
			<span class="tj">
				<input type="submit" id="selBtn" value="查询" class="a_btn_blue" />
				<a id="addBtn" href="${ctx}/sys/user/toAdd" class="a_btn_blue">新增</a>
			</span>
		</div>
	</div>

	<div class="content">
		<table style="width:100%" class="table_list">
			<thead>
				<tr>
					<th width="40">序号</th>
					<th>id</th>
					<th>uuid</th>
					<th>bmid</th>
					<th>dlzh</th>
					<th>dlmm</th>
					<th>mmfs</th>
					<th>xm</th>
					<th>cw</th>
					<th>xb</th>
					<th>sfzh</th>
					<th>lxdh</th>
					<th>sjhm</th>
					<th>dzyx</th>
					<th>ukey</th>
					<th>ukeybs</th>
					<th>glybs</th>
					<th>sn</th>
					<th>misid</th>
					<th>misbs</th>
					<th>gxsj</th>
					<th>zcsj</th>
					<th>dlsj</th>
					<th>dlcs</th>
					<th>sjly</th>
					<th>state</th>
					<th width="150">操作</th>
				</tr>
			</thead>
			<c:forEach varStatus="index" items="${pageInfo.list}" var="obj" >
				<tr>
					<td align="center">${index.index+1}</td>
					<td align="center">${obj.id}</td>
					<td align="center">${obj.uuid}</td>
					<td align="center">${obj.bmid}</td>
					<td align="center">${obj.dlzh}</td>
					<td align="center">${obj.dlmm}</td>
					<td align="center">${obj.mmfs}</td>
					<td align="center">${obj.xm}</td>
					<td align="center">${obj.cw}</td>
					<td align="center">${obj.xb}</td>
					<td align="center">${obj.sfzh}</td>
					<td align="center">${obj.lxdh}</td>
					<td align="center">${obj.sjhm}</td>
					<td align="center">${obj.dzyx}</td>
					<td align="center">${obj.ukey}</td>
					<td align="center">${obj.ukeybs}</td>
					<td align="center">${obj.glybs}</td>
					<td align="center">${obj.sn}</td>
					<td align="center">${obj.misid}</td>
					<td align="center">${obj.misbs}</td>
					<td align="center">${obj.gxsj}</td>
					<td align="center">${obj.zcsj}</td>
					<td align="center">${obj.dlsj}</td>
					<td align="center">${obj.dlcs}</td>
					<td align="center">${obj.sjly}</td>
					<td align="center">${obj.state}</td>
					<td align="center">
						<a id="edtBtn" href="${ctx}/sys/user/toEdit?id=${obj.id}" class="a_blue">编辑</a>
						<a id="delBtn" href="javascript:void(0);" onclick="doDelInfo('${obj.id}')" class="a_blue">删除</a>
						<a id="vieBtn" href="${ctx}/sys/user/toView?id=${obj.id}" class="a_blue">查看</a>
					</td>
				</tr>
			</c:forEach>
		</table>
	</div>

	<div class="page">
		<p:pages cpage="${pageInfo.pageNum}" totalPage="${pageInfo.pages}" totalRow="${pageInfo.total}" pageSize="${pageInfo.pageSize}" url="${ctx}/sys/user/doPage" styleClass="page" theme="text"/>
	</div>
	</div>
</form>
</body>
<p:message/>
</html>