//金额转大写
function moneyLToU(Num){
	var newchar = "";

	for(i=Num.length-1;i>=0;i--) {
		Num =  String(Num).replace(",","");	//替换tomoney()中的“,”
		Num =  String(Num).replace(" ","");	//替换tomoney()中的空格
	}
	Num =  String(Num).replace("￥",""); //替换掉可能出现的￥字符
	if(isNaN(Num)) { //验证输入的字符是否为数字
		alert("请检查小写金额是否正确");
		return;
	}

	//---字符处理完毕，开始转换，转换采用前后两部分分别转换---//
	var part = String(Num).split(".");
	//小数点前进行转化
	for(i=part[0].length-1;i>=0;i--){
		if(part[0].length > 10){ 
			alert("位数过大，无法计算");
			return "";
			
		}//若数量超过拾亿单位，提示
		var tmpnewchar = "";
		var perchar = part[0].charAt(i);
		switch(perchar){
		    case "0": tmpnewchar="零" + tmpnewchar ;break;
		    case "1": tmpnewchar="壹" + tmpnewchar ;break;
		    case "2": tmpnewchar="贰" + tmpnewchar ;break;
		    case "3": tmpnewchar="叁" + tmpnewchar ;break;
		    case "4": tmpnewchar="肆" + tmpnewchar ;break;
		    case "5": tmpnewchar="伍" + tmpnewchar ;break;
		    case "6": tmpnewchar="陆" + tmpnewchar ;break;
		    case "7": tmpnewchar="柒" + tmpnewchar ;break;
		    case "8": tmpnewchar="捌" + tmpnewchar ;break;
		    case "9": tmpnewchar="玖" + tmpnewchar ;break;
		}
		switch(part[0].length-i-1){
		    case 0: tmpnewchar = tmpnewchar +"元" ;break;
		    case 1: if(perchar!=0)tmpnewchar= tmpnewchar +"拾" ;break;
		    case 2: if(perchar!=0)tmpnewchar= tmpnewchar +"佰" ;break;
		    case 3: if(perchar!=0)tmpnewchar= tmpnewchar +"仟" ;break;
		    case 4: tmpnewchar= tmpnewchar +"万" ;break;
		    case 5: if(perchar!=0)tmpnewchar= tmpnewchar +"拾" ;break;
		    case 6: if(perchar!=0)tmpnewchar= tmpnewchar +"佰" ;break;
		    case 7: if(perchar!=0)tmpnewchar= tmpnewchar +"仟" ;break;
		    case 8: tmpnewchar= tmpnewchar +"亿" ;break;
		    case 9: tmpnewchar= tmpnewchar +"拾" ;break;
		}
		newchar = tmpnewchar + newchar;
	}
	//小数点之后进行转化
	if( String(Num).indexOf(".")!=-1){
		if(part[1].length > 2) {
			alert("小数点之后只能保留两位,系统将自动截段");
			part[1] = part[1].substr(0,2);
		}
		for(i=0;i<part[1].length;i++){
			tmpnewchar = "";
			perchar = part[1].charAt(i);
			switch(perchar){
			    case "0": tmpnewchar="零" + tmpnewchar ;break;
			    case "1": tmpnewchar="壹" + tmpnewchar ;break;
			    case "2": tmpnewchar="贰" + tmpnewchar ;break;
			    case "3": tmpnewchar="叁" + tmpnewchar ;break;
			    case "4": tmpnewchar="肆" + tmpnewchar ;break;
			    case "5": tmpnewchar="伍" + tmpnewchar ;break;
			    case "6": tmpnewchar="陆" + tmpnewchar ;break;
			    case "7": tmpnewchar="柒" + tmpnewchar ;break;
			    case "8": tmpnewchar="捌" + tmpnewchar ;break;
			    case "9": tmpnewchar="玖" + tmpnewchar ;break;
			}
			if(i==0)tmpnewchar =tmpnewchar + "角";
			if(i==1)tmpnewchar = tmpnewchar + "分";
			newchar = newchar + tmpnewchar;
		}
	}
	//替换所有无用汉字
	while(newchar.search("零零") != -1){
		newchar = newchar.replace("零零", "零");
	}
	newchar = newchar.replace("零亿", "亿");
	newchar = newchar.replace("亿万", "亿");
	newchar = newchar.replace("零万", "万");
	newchar = newchar.replace("零元", "元");
	newchar = newchar.replace("零角", "");
	newchar = newchar.replace("零分", "");

	if (newchar.charAt(newchar.length-1) == "元" || newchar.charAt(newchar.length-1) == "角"){
		newchar = newchar+"整";
	}
	return newchar;
}   


function moneyFormat(number, decimals, dec_point, thousands_sep) {
    /*
    * 参数说明：
    * number：要格式化的数字
    * decimals：保留几位小数
    * dec_point：小数点符号
    * thousands_sep：千分位符号
    *  moneyFormat(3122.31, 2, '.', ',')
    * */
	if( decimals == null ) decimals = 2;
	if( dec_point == null ) dec_point = '.';
	if( thousands_sep == null ) thousands_sep = ',';
	
	
    number = (number + '').replace(/[^0-9+-Ee.]/g, '');
    var n = !isFinite(+number) ? 0 : +number,
        prec = !isFinite(+decimals) ? 0 : Math.abs(decimals),
        sep = (typeof thousands_sep === 'undefined') ? ',' : thousands_sep,
        dec = (typeof dec_point === 'undefined') ? '.' : dec_point,
        s = '',
        toFixedFix = function (n, prec) {
            var k = Math.pow(10, prec);
            return '' + Math.ceil(n * k) / k;
        };
 
    s = (prec ? toFixedFix(n, prec) : '' + Math.round(n)).split('.');
    var re = /(-?\d+)(\d{3})/;
    while (re.test(s[0])) {
        s[0] = s[0].replace(re, "$1" + sep + "$2");
    }
 
    if ((s[1] || '').length < prec) {
        s[1] = s[1] || '';
        s[1] += new Array(prec - s[1].length + 1).join('0');
    }
    return s.join(dec);
}
